## org.biojava.bio.seq.io
Class SymbolListCharSequence

    java.lang.Object
      org.biojava.bio.seq.io.SymbolListCharSequence

All Implemented Interfaces:
  CharSequence

    public class SymbolListCharSequence

extends Object
implements CharSequence

`SymbolListCharSequence` is a `CharSequence` implementation which wraps a `SymbolList`. It is present primarily to support regular expression matching over `SymbolList`s as it avoids creating a copy.

Since:
  1.3
Author:
  Keith James, Matthew Pocock

Constructor Summary
`SymbolListCharSequence(SymbolList syms)` Creates a new `SymbolListCharSequence` wrapping a `SymbolList`.

Method Summary
`char` `charAt(int index)`
`int` `length()`
`CharSequence` `subSequence(int start, int end)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SymbolListCharSequence

    public SymbolListCharSequence(SymbolList syms)

  Creates a new `SymbolListCharSequence` wrapping a `SymbolList`.

  Parameters:
    `syms` - a `SymbolList`.

Method Detail

### charAt

    public char charAt(int index)

  Specified by:
    `charAt` in interface `CharSequence`

### length

    public int length()

  Specified by:
    `length` in interface `CharSequence`

### subSequence

    public CharSequence subSequence(int start,
                                    int end)

  Specified by:
    `subSequence` in interface `CharSequence`

### toString

    public String toString()

  Specified by:
    `toString` in interface `CharSequence`
  Overrides:
    `toString` in class `Object`